> ## Documentation Index
> Fetch the complete documentation index at: https://enterprise-docs.bglobale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Locations Default Cultures List

> Returns the list of locations and their respective default Cultures.

Returns the list of locations and their respective default Cultures. This method may be used as an alternative for calling `LocationDefaultCulture` for every user’s geo-location returned by the `LocationByIp` method. If `LocationsDefaultCulturesList` returns no `LocationCulture` item matching Country, Region, and City determined by `LocationByIp` , the fallback is to use the `LocationCulture` item with matching Country, matching Region, and empty value for City. If there is no `LocationCulture` with the matching Country and Region as well, the fallback is to use the `LocationCulture` item with a matching Country, empty value for Region, and empty value for City.


## OpenAPI

````yaml api-reference/specs/locationsdefaultcultureslist.yaml POST /Browsing/LocationsDefaultCulturesList
openapi: 3.0.3
info:
  title: LocationsDefaultCulturesList
  version: 1.0.0
  x-scaled-review: true
  description: >-
    Returns the list of locations and their respective default Cultures. This
    method may be used as an alternative for calling LocationDefaultCulture for
    every user’s geo-location returned by the LocationByIp method. If
    LocationsDefaultCulturesList returns no LocationCulture item matching
    Country, Region, and City determined by LocationByIp , the fallback is to
    use the LocationCulture item with matching Country, matching Region, and
    empty value for City. If there is no LocationCulture with the matching
    Country and Region as well, the fallback is to use the LocationCulture item
    with a matching Country, empty value for Region, and empty value for City.
servers:
  - url: https://{globale_api_domain}
    variables:
      globale_api_domain:
        default: globale_api_domain
        description: Global-e API host, supplied to the merchant by Global-e.
security: []
tags:
  - name: LocationsDefaultCulturesList
    x-page-title: LocationsDefaultCulturesList
  - name: 'Direction: Merchant → Global-e'
  - name: 'Domain: Browsing & Catalog'
paths:
  /Browsing/LocationsDefaultCulturesList:
    post:
      tags:
        - LocationsDefaultCulturesList
      summary: Return the list of locations and their respective default Cultures
      description: >-
        Returns the list of locations and their respective default Cultures.
        This method may be used as an alternative for calling
        LocationDefaultCulture for every user’s geo-location returned by the
        LocationByIp method.
      operationId: locationsDefaultCulturesList
      responses:
        '200':
          description: The list of locations and their respective cultures.
          content:
            application/json:
              schema:
                type: object
                properties:
                  LocationCulture:
                    type: array
                    description: >-
                      Returns the list of locations and their respective
                      cultures
                    items:
                      $ref: '#/components/schemas/LocationCulture'
components:
  schemas:
    LocationCulture:
      type: object
      title: LocationCulture
      properties:
        CityCode:
          type: string
          description: City code (unique in the respective Region)
        CountryCode:
          type: string
          description: 2-char ISO country code
        Culture:
          allOf:
            - $ref: '#/components/schemas/Culture'
          description: Culture definition for this location
        RegionCode:
          type: string
          description: Region code (unique in the respective Country )
    Culture:
      type: object
      title: Culture
      properties:
        Code:
          type: string
          description: ISO culture code
        IsRTL:
          type: boolean
          description: >-
            Identifies if language is a “right-to-left” language such as Hebrew
            and Arabic. TRUE if “right-to-left” language FALSE if not
            “right-to-left” language
        LocalizedName:
          type: string
          description: >-
            Culture name in the respective language, such as “עברית” for he-IL
            (Hebrew-Israel) culture
        Name:
          type: string
          description: Culture name

````